# $Revision: 1.15 $, $Date: 2010/06/06 08:43:52 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tk
%define		pnam	TableMatrix
Summary:	Tk::TableMatrix - a table/matrix widget extension to Perl/Tk
Summary(pl.UTF-8):	TK::TableMatrix - rozszerzenie dodające widget tabeli/macierzy do Perla/Tk
Name:		perl-Tk-TableMatrix
Version:	1.23
Release:	2
# same as perl
License:	GPL v1+ or Artistic / distributable (pTK library)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Tk/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6b7653d129bf1a8327054a88b58d6364
URL:		http://search.cpan.org/dist/Tk-TableMatrix/
BuildRequires:	perl-Tk-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tk::TableMatrix is a table/matrix widget extension to Perl/Tk for
displaying data in a table (or spreadsheet) format.

%description -l pl.UTF-8
Tk::TableMatrix to rozszerzenie dodające widget tabeli/macierzy do
Perla/Tk do wyświetlania danych w formacie tabeli lub arkusza.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	X11LIB=%{_prefix}/X11R6/%{_lib} \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog Changes README COPYING pTk/license.terms
%{perl_vendorarch}/Tk/*.pm
%dir %{perl_vendorarch}/Tk/TableMatrix
%{perl_vendorarch}/Tk/TableMatrix/Spreadsheet.pm
%{perl_vendorarch}/Tk/TableMatrix/SpreadsheetHideRows.pm
%dir %{perl_vendorarch}/auto/Tk/TableMatrix
%{perl_vendorarch}/auto/Tk/TableMatrix/*.bs
%{perl_vendorarch}/auto/Tk/TableMatrix/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Tk/TableMatrix/*.so
%{_mandir}/man3/*
# to -devel? rm -rf as already in perl-Tk?
#%{perl_vendorarch}/Tk/pTk/mm.h
#%{perl_vendorarch}/Tk/pTk/tkTable.h
#%{perl_vendorarch}/Tk/pTk/tkTableversion.h
#%{perl_vendorarch}/Tk/pTk/version.h
#%{perl_vendorarch}/auto/Tk/pTk/extralibs.ld

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tk-TableMatrix.spec,v $
Revision 1.15  2010/06/06 08:43:52  arekm
- release 2

Revision 1.14  2009/10/16 07:46:02  amateja
- updated to 1.23

Revision 1.13  2008/03/25 00:11:31  qboosh
- generic URL

Revision 1.12  2008-02-10 12:22:28  arekm
- rel 2

Revision 1.11  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.10  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.8  2006/10/21 17:00:11  ankry
- ver. 1.22

Revision 1.7  2005/12/25 19:52:41  glen
- need perl-Tk-devel

Revision 1.6  2005/09/24 22:29:44  glen
- License update (smb pls recheck?)

Revision 1.5  2005/09/05 18:01:09  qboosh
- pl

Revision 1.4  2005/09/05 13:08:21  glen
- rel 2 for fixed missing autosplit.ix

Revision 1.3  2005/09/05 13:00:13  glen
- add autosplit.ix to package

Revision 1.2  2005/09/05 12:27:56  glen
- fix for amd64 build, typo

Revision 1.1  2005/09/05 12:24:31  glen
- new
